Bug 737369 - Memory consumption by gvfsd
Summary: Memory consumption by gvfsd
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 14
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-11 16:14 UTC by NM
Modified: 2015-03-03 23:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 16:19:11 UTC


Attachments (Terms of Use)

Description NM 2011-09-11 16:14:26 UTC
Description of problem:
gvfsd gradually consuming more and more memory and eventually causing system freeze. 

Version-Release number of selected component (if applicable):
rpm -qa|grep gvfs|sort  returns the following components: 

gvfs-1.6.6-1.fc14.x86_64
gvfs-afc-1.6.6-1.fc14.x86_64
gvfs-archive-1.6.6-1.fc14.x86_64
gvfs-fuse-1.6.6-1.fc14.x86_64
gvfs-gphoto2-1.6.6-1.fc14.x86_64
gvfs-obexftp-1.6.6-1.fc14.x86_64
gvfs-smb-1.6.6-1.fc14.x86_64


How reproducible:
I use System Monitor 2.28.2 'Processes' tab to monitor memory consumption by gvfsd. 

Steps to Reproduce:
1. gvfsd starts automatically. Just watch the memory. 
  
Actual results:
Ever increasing memory consumption

Expected results:
Constant or fluctuating memory consumption

Additional info:
I guess it is memory leak.

Comment 1 Tomáš Bžatek 2011-09-12 07:57:52 UTC
Can you please test latest Fedora 16? You will also need to find out why the memory consumption grows like this, it's usually specific to user setup. Can you run it in valgrind to see what's going on?

Comment 2 NM 2011-09-12 11:55:16 UTC
Will do later. FC16 is an alpha version - can not do alpha. Has to waite. Thanks.

Comment 3 Nethershadow 2012-04-26 09:01:34 UTC
I'm on Fedora 13 here (I know it's pretty old) but gvfsd shows the very same behaviour. I figured out (after some search on the web) that this is due to gvfsd having some problems with "external media". In fact gvfsd took more and more memory (at about a rate of 1 MB every 2-3 seconds) up until I removed a CD from the CD Drive. 
I don't know whether this issue is fixed in new Fedora releases, but it would be great if it could also be solved for older versions as this is a very problematic behaviour.

I hope this information helps in finding what exactly is causing the problems (seems to be connected with CD mounting or something in that direction).

Comment 4 NM 2012-04-26 11:24:04 UTC
On the same hardware, FC 16 has no such problem.

Comment 5 Tomáš Bžatek 2012-04-27 10:20:26 UTC
(In reply to comment #3)
> I don't know whether this issue is fixed in new Fedora releases, but it would
> be great if it could also be solved for older versions as this is a very
> problematic behaviour.

I don't think we can build packages for unsupported releases, the buildsystem wouldn't let us to do so.

In Fedora 17, we've introduced udisks2 volume monitor, completely rewritten. In Fedora 16, we have (a potentially fixed) older gdu volume monitor. Would be great if you could test it on both releases, unless already done so (comment 4) and close this bugreport if fixed please.

Comment 6 Fedora End Of Life 2012-08-16 16:19:13 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.